%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%global	python_module_name gcdemu

Summary:		A GNOME panel applet to control CDEmu daemon
Name:			gcdemu
Version:		1.4.0
Release:		3.4
License:		GPLv2+
Group:			User Interface/Desktops
URL:			http://cdemu.sourceforge.net
Source:			http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:		noarch

BuildRequires:		dbus-1-python-devel
BuildRequires:		gettext
BuildRequires:		gnome-desktop-devel gnome-utils-devel
BuildRequires:		gnome-python-desktop python-gnome-devel
BuildRequires:		perl-XML-Parser
BuildRequires:		python-gtk-devel
BuildRequires:		python-devel
BuildRequires:		intltool >= 0.21
BuildRequires:		gconf2-devel
%gconf_schemas_prereq
%if 0%{?suse_version}
BuildRequires:		update-desktop-files

%endif
Requires:		dbus-1-python >= 0.80
Requires:		gnome-desktop
Requires:		python-gtk
Requires:		gconf2 scrollkeeper
Requires:		python-notify

%description
This is gCDEmu, a GNOME applet for controlling CDEmu daemon. It is part of the 
userspace-cdemu suite, a free, GPL CD/DVD-ROM device emulator for linux.

It provides a graphic interface that allows performing the key tasks related to
controlling the CDEmu daemon, such as loading and unloading devices, displaying 
devices' status and retrieving/setting devices' debug masks.

In addition, applet listens to the signals emitted by CDEmu daemon and provides
the notification via libnotify's notifications (provided that python bindings
are installed).

%prep
%setup -q

%build
%{configure} --disable-schemas-install || cat config.log
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%{__make} install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
PW=`pwd`
cd %{buildroot}%{_datadir}/locale
mv no nb_NO
cd $PW
%find_lang gcdemu --with-gnome
%suse_update_desktop_file -r -G "Mount ISO images" %{name} Utilities
%find_gconf_schemas
cat %{name}.schemas_list %{name}.lang >%{name}.lst

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#%pre
#if [ "$1" -gt 1 ]; then
#	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
#	gconftool-2 --makefile-uninstall-rule \
#		%{_sysconfdir}/gconf/schemas/gcdemu.schemas >/dev/null ||:
#fi
#
#%post
#scrollkeeper-update -q
#export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
#gconftool-2 --makefile-install-rule \
#	%{_sysconfdir}/gconf/schemas/gcdemu.schemas >/dev/null ||:
#
#%preun
#if [ "$1" -eq 0 ]; then
#	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
#	gconftool-2 --makefile-uninstall-rule \
#		%{_sysconfdir}/gconf/schemas/gcdemu.schemas >/dev/null ||:
#fi
#
#%postun 
#scrollkeeper-update -q
#                                                                                                                                                                               
%pre -f %{name}.schemas_pre                                                                                                                                                   
                                                                                                                                                                               
%preun -f %{name}.schemas_preun                                                                                                                                               
                                                                                                                                                                               
%posttrans -f %{name}.schemas_posttrans  

%files -f %{name}.lst
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_datadir}/pixmaps/*
%{_bindir}/gcdemu
%{_datadir}/applications/gcdemu.desktop

%changelog
* Tue Sep 27 2011 Carsten Schoene <cs@linux-administrator.com> - 1.4.0-1
- update to release 1.4.0

* Sat Jul 19 2008 Carsten Schoene <cs@linux-administrator.com> - 1.1.0-2
- import to buildservices
- modifications for SuSE builds

* Sat Jun 28 2008 Rok Mandeljc <rok.mandeljc@email.si> - 1.1.0-1
- Updated to 1.1.0

* Thu Dec 20 2007 Rok Mandeljc <rok.mandeljc@email.si> - 1.0.0-1
- Initial RPM release.
